## ocaml-deriving-ocsigen 0.3b

=== Makefile ===
include Makefile.config

all: META
	${MAKE} -C syntax
	${MAKE} -C lib

byte: META
	${MAKE} -C syntax byte
	${MAKE} -C lib byte

opt: META
	${MAKE} -C syntax opt
	${MAKE} -C lib opt

META: META.in
	sed s/%%NAME%%/${PROJECTNAME}/ META.in > META

clean: clean.local
	${MAKE} -C syntax clean
	${MAKE} -C lib clean
	${MAKE} -C tests clean
clean.local:
	-rm -f META

distclean: clean.local
	${MAKE} -C syntax distclean
	${MAKE} -C lib distclean
	${MAKE} -C tests distclean
	-rm -f *~ \#* .\#*

.PHONY: tests
tests:
	${MAKE} -C tests
	./tests/tests

include Makefile.filelist
VERSION := $(shell head -n 1 VERSION)

install:
	${OCAMLFIND} install ${PROJECTNAME} \
	  -patch-version ${VERSION} \
	  META ${SYNTAX_INTF} ${INTF} ${IMPL} ${NATIMPL} ${DOC}

install-byte:
	${OCAMLFIND} install ${PROJECTNAME} \
	  -patch-version ${VERSION} \
	  META ${SYNTAX_INTF} ${INTF} ${IMPL} ${DOC}

install-opt:
	${OCAMLFIND} install ${PROJECTNAME} \
	  -patch-version ${VERSION} \
	  META ${SYNTAX_INTF} ${INTF} ${NATIMPL} ${DOC}

uninstall:
	${OCAMLFIND} remove ${PROJECTNAME}

reinstall: uninstall install
reinstall-byte: uninstall install-byte
reinstall-opt: uninstall install-opt

=== lib/Makefile ===
include ../Makefile.config

OCAMLC     := ${OCAMLFIND} ocamlc
OCAMLOPT   := ${OCAMLFIND} ocamlopt
OCAMLDEP   := ${OCAMLFIND} ocamldep
PP         := -package camlp4 -ppopt ../syntax/pa_deriving.cma -syntax camlp4o

OCAMLFLAGS := -w ae

SOURCES = deriving_Show.ml           \
          deriving_interned.ml       \
          deriving_Eq.ml             \
          deriving_Bounded.ml        \
          deriving_Enum.ml           \
          deriving_monad.ml          \
          deriving_Dump.ml           \
          deriving_Typeable.ml       \
          deriving_dynmap.ml         \
          deriving_Pickle.ml	     \
          deriving_Functor.ml        \

##

all: byte opt

byte: deriving.cma deriving_num.cma
opt:: deriving.cmxa deriving_num.cmxa
ifeq "${NATDYNLINK}" "YES"
opt:: deriving.cmxs deriving_num.cmxs
endif

##

deriving.cma: ${SOURCES:.ml=.cmo}
	${OCAMLC} -a -o $@ $^
deriving.cmxa: ${SOURCES:.ml=.cmx}
	${OCAMLOPT} -a -o $@ $^


deriving_num.cma: deriving_num.cmo
	${OCAMLC} -a -o $@ $^
deriving_num.cmxa: deriving_num.cmx
	${OCAMLOPT} -a -o $@ $^

# Common rules

%.cmi: %.mli
	${OCAMLC} ${OCAMLFLAGS} ${PP} -c $<
%.cmo: %.ml
	${OCAMLC} ${OCAMLFLAGS} ${PP} -c $<
%.cmx: %.ml
	${OCAMLOPT} ${OCAMLFLAGS} ${PP} -c $<
%.cmxs: %.cmxa
	$(OCAMLOPT) -shared -linkall -o $@ $<

# Clean up
clean:
	-rm -f *.cm[ioax] *.cmxa *.cmxs *${OBJEXT} *${LIBEXT} *.annot
distclean: clean
	-rm -f .*.deps
	-rm -f *~ \#* .\#*

# Dependencies

DEPS := $(patsubst %.ml,.%.ml.deps,$(wildcard *.ml)) \
        $(patsubst %.mli,.%.mli.deps,$(wildcard *.mli))

.depend: ${DEPS}
	cat .*.deps > .depend

.SECONDARY: ${DEPS}
.%.ml.deps: %.ml
	${OCAMLDEP} ${PP} $^ > $@
.%.mli.deps: %.mli
	${OCAMLDEP} ${PP} $^ > $@

include .depend

=== syntax/Makefile ===
include ../Makefile.config

OCAMLC     := ${OCAMLFIND} ocamlc
OCAMLOPT   := ${OCAMLFIND} ocamlopt
OCAMLDEP   := ${OCAMLFIND} ocamldep
LIBS       := -package camlp4
DERIVING_LIBS := -package unix,camlp4.lib

SOURCES := id.ml                 \
           utils.ml              \
           type.ml               \
           defs.ml               \
	   clusters.ml           \
           base.ml               \
           extend.ml             \

type.cmo type.cmx .type.ml.deps: \
	LIBS+=-syntax camlp4o -package camlp4.quotations.r
base.cmo base.cmx .base.ml.deps: \
	LIBS+=-syntax camlp4o -package camlp4.quotations.o
extend.cmo extend.cmx .extend.ml.deps: \
	LIBS+=-syntax camlp4o -package camlp4.extend,camlp4.quotations.o
pa_deriving.cmo pa_deriving.cmx .pa_deriving.ml.deps: \
	LIBS+=-syntax camlp4o -package camlp4.extend,camlp4.quotations.o
pa_deriving_tc.cmo pa_deriving_tc.cmx .pa_deriving_tc.ml.deps: \
	LIBS+=-syntax camlp4o -package camlp4.extend,camlp4.quotations.o,type-conv

CLASSES := show_class.ml         \
           dump_class.ml         \
           enum_class.ml         \
           bounded_class.ml      \
           eq_class.ml           \
           typeable_class.ml     \
           pickle_class.ml       \
           functor_class.ml      \

MAIN := pa_deriving.ml
ifneq (${TYPECONV},)
MAIN_TC := pa_deriving_tc.ml
endif

CLASSES_CMO := $(patsubst %.ml,classes/%.cmo$,${CLASSES})
CLASSES_CMX := $(patsubst %.ml,classes/%.cmx$,${CLASSES})
CLASSES_DEPS := $(patsubst %.ml,classes/.%.ml.deps$,${CLASSES})

${CLASSES_CMO} ${CLASSES_CMX} ${CLASSES_DEPS}: \
	LIBS+=-syntax camlp4o -package camlp4.quotations.o -I classes

CAMLP4_PREFILES  := Camlp4Parsers/Camlp4OCamlRevisedParser.cmo \
                    Camlp4Parsers/Camlp4OCamlParser.cmo        \
                    Camlp4Printers/Camlp4AutoPrinter.cmo
CAMLP4_POSTFILES := Camlp4Bin.cmo

PREDEP := id.ml

##

all: byte opt

byte:: pa_deriving.cma
opt:: pa_deriving.cmxa
ifeq "${NATDYNLINK}" "YES"
opt::  pa_deriving.cmxs
endif

ifneq (${TYPECONV},)
byte:: pa_deriving_tc.cma
opt:: pa_deriving_tc.cmxa
ifeq "${NATDYNLINK}" "YES"
opt::  pa_deriving_tc.cmxs
endif
endif

bin: bin-byte bin-opt
bin-byte: deriving${EXEEXT}
bin-opt: deriving.opt${EXEEXT}

##

pa_deriving.cma: pa_deriving_common.cmo pa_deriving.cmo ${CLASSES_CMO}
	${OCAMLC} -o $@ -a $^
pa_deriving.cmxa: pa_deriving_common.cmx pa_deriving.cmx ${CLASSES_CMX}
	${OCAMLOPT} -o $@ -a $^

pa_deriving_tc.cma: pa_deriving_common.cmo pa_deriving_tc.cmo ${CLASSES_CMO}
	${OCAMLC} -o $@ -a $^
pa_deriving_tc.cmxa: pa_deriving_common.cmx pa_deriving_tc.cmx ${CLASSES_CMX}
	${OCAMLOPT} -o $@ -a $^

${CLASSES_CMO} pa_deriving.cmo pa_deriving_tc.cmo: pa_deriving_common.cmo
${CLASSES_CMX} pa_deriving.cmx pa_deriving_tc.cmx: pa_deriving_common.cmx

##

pa_deriving_common.cmo: ${SOURCES:.ml=.cmo}
	${OCAMLC} -o $@ -pack $^
pa_deriving_common.cmx: ${SOURCES:.ml=.cmx}
	${OCAMLOPT} -o $@ -pack $^
${SOURCES:.ml=.cmx}: FOR_PACK=-for-pack Pa_deriving_common

##

deriving${EXEEXT}: pa_deriving.cma
	${OCAMLC} -linkpkg -o $@ \
	  ${DERIVING_LIBS} ${CAMLP4_PREFILES} $^ ${CAMLP4_POSTFILES}

deriving.opt${EXEEXT}: pa_deriving.cmxa
	${OCAMLOPT} -linkpkg -o $@ \
	  ${DERIVING_LIBS} ${CAMLP4_PREFILES:.cmo=.cmx} $^ ${CAMLP4_POSTFILES:.cmo=.cmx}

##

.SECONDARY: id.ml
VERSION := $(shell head -n 1 ../VERSION)
id.ml: id.mlp ../Makefile.config ../VERSION
	[ ! -f id.ml ] || chmod u+w $@
	sed -e s/%%NAME%%/${PROJECTNAME}/ -e s/%%VERSION%%/${VERSION}/ $< > $@
	chmod -w $@

# Common rules

%.cmi: %.mli
	${OCAMLC} ${LIBS} -c $<
%.cmo: %.ml
	${OCAMLC} ${LIBS} -c $<
%.cmx: %.ml
	${OCAMLOPT} ${LIBS} ${FOR_PACK} -c $<
%.cmxs: %.cmxa
	$(OCAMLOPT) -shared -linkall -o $@ $<

# Clean up

clean:
	-rm -f *.cm[ioax] *.cmxa *.cmxs *${OBJEXT} *${LIBEXT} *.annot
	-rm -f classes/*.cm[ioax] classes/*.cmxa classes/*.cmxs \
               classes/*${OBJEXT} classes/*${LIBEXT} classes/*.annot
	-rm -f deriving${EXEEXT} deriving.opt${EXEEXT}
distclean: clean
	-rm -f .*.deps classes/.*.deps
	-rm -f *~ \#* .\#*
	-rm -f classes/*~ classes/\#* classes/.\#*
	-rm -f id.ml defs.ml

# Dependencies

DEPS := $(patsubst %.ml,.%.ml.deps,${SOURCES} ${MAIN} ${MAIN_TC}) \
        $(patsubst %.ml,classes/.%.ml.deps,${CLASSES}) \
        $(patsubst %.mli,.%.mli.deps,$(wildcard *.mli))

.depend: ${DEPS}
	cat .*.deps classes/.*.deps > .depend

.SECONDARY: ${DEPS}
.%.ml.deps: %.ml
	${OCAMLDEP} ${LIBS} $^ > $@
.%.mli.deps: %.mli
	${OCAMLDEP} ${LIBS} $^ > $@
classes/.%.ml.deps: classes/%.ml
	${OCAMLDEP} ${LIBS} $< > $@
classes/.%.mli.deps: classes/%.mli
	${OCAMLDEP} ${LIBS} $^ > $@

defs.ml: defs.mli
	ln -s defs.mli defs.ml

include .depend

=== tests/Makefile ===
include ../Makefile.config

OCAMLC     := ${OCAMLFIND} ocamlc
OCAMLOPT   := ${OCAMLFIND} ocamlopt
OCAMLDEP   := ${OCAMLFIND} ocamldep
PP         := -package camlp4 -ppopt ../syntax/pa_deriving.cma -syntax camlp4o
LIBS       := -I ../lib -package num

OCAMLFLAGS   = -w Aef

SOURCES = defs.ml               \
          bimap.ml	        \
          sigs.ml               \
          pickle_tests.ml       \
	  typeable_tests.ml     \
	  bounded_tests.ml      \
	  eq_tests.ml           \
	  dump_tests.ml         \
	  enum_tests.ml         \
	  functor_tests.ml      \
	  show_tests.ml         \
          exp.ml                \
          inline.ml             \

##

tests${EXEEXT}: ${SOURCES:.ml=.cmo}
	${OCAMLC} -o $@ ${LIBS} -linkpkg deriving.cma $^

# Common rules

%.cmi: %.mli
	${OCAMLC} ${OCAMLFLAGS} ${PP} ${LIBS} -c $<
%.cmo: %.ml
	${OCAMLC} ${OCAMLFLAGS} ${PP} ${LIBS} -c $<
%.cmx: %.ml
	${OCAMLOPT} ${OCAMLFLAGS} ${PP} ${LIBS} -c $<

# Clean up
clean:
	-rm -f *.cm[ioax] *.cmxa *.cmxs *${OBJEXT} *${LIBEXT} *.annot
	-rm -f tests${EXEEXT}
distclean: clean
	-rm -f *~ \#* .\#*

# Dependencies
depend:
	${OCAMLDEP} ${PP} *.ml *.mli > .depend

-include .depend

=== debian/changelog ===
ocaml-deriving-ocsigen (0.3b-1) unstable; urgency=low

  * New upstream release
    - remove all patches

 -- Stéphane Glondu <glondu@debian.org>  Mon, 28 Nov 2011 21:01:09 +0100

ocaml-deriving-ocsigen (0.2-1) unstable; urgency=low

  * New upstream release, taken from the Ocsigen project
    - update Homepage and debian/watch accordingly
    - rename packages to reflect the new origin
  * debian/control:
    - add myself to Uploaders, remove Sylvain
    - bump Standards-Version to 3.9.2
  * Update debian/copyright to a more recent specification
  * Thanks to Pierre Chambart and Benjamin Jacobs for their contributions

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Nov 2011 20:21:23 +0100

ocaml-deriving (0.1.1a-3) unstable; urgency=low

  * Team upload
  * Switch patches to dom-{apply,save}-patches scheme
  * Cherry-pick fixes for 3.12.0 from upstream (fixes FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 16:04:24 +0200

ocaml-deriving (0.1.1a-2) unstable; urgency=low

  * Add Source field to debian/copyright

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 18 Feb 2011 00:47:42 +0100

ocaml-deriving (0.1.1a-1) unstable; urgency=low

  * Initial release. (Closes: #605682)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 07 Dec 2010 22:21:04 +0100

=== debian/control ===
Source: ocaml-deriving-ocsigen
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Stéphane Glondu <glondu@debian.org>
Build-Depends:
  ocaml-nox (>= 3.12~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  libtype-conv-camlp4-dev (>= 2.3.0~),
  camlp4-extra
Standards-Version: 3.9.2
Homepage: https://github.com/hnrgrgr/deriving
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git

Package: libderiving-ocsigen-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: deriving functions from type declarations in OCaml (devt files)
 Camlp4 extension to OCaml for deriving functions from type declarations.
 Includes derivers for pretty-printing, type-safe marshalling with
 structure-sharing, dynamic typing, equality, and more.
 .
 This is the version maintained by the Ocsigen project.

Package: libderiving-ocsigen-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: deriving functions from type declarations in OCaml (runtime)
 Camlp4 extension to OCaml for deriving functions from type declarations.
 Includes derivers for pretty-printing, type-safe marshalling with
 structure-sharing, dynamic typing, equality, and more.
 .
 This is the version maintained by the Ocsigen project.
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
  BUILD_TARGET := byte opt
  INSTALL_TARGET := install
else
  BUILD_TARGET := byte
  INSTALL_TARGET := install-byte
endif

ifeq ($(OCAML_NATDYNLINK),yes)
  MAKE_EXTRA_VARS :=
else
  MAKE_EXTRA_VARS := NATDYNLINK=NO
endif

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(MAKE_EXTRA_VARS) $(BUILD_TARGET)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	$(MAKE) $(MAKE_EXTRA_VARS) $(INSTALL_TARGET)

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

## ocaml-deriving-ocsigen 0.3c

=== Makefile ===
include Makefile.config

all: files/META files/META.${PROJECTNAME}
	${MAKE} -C syntax
	${MAKE} -C lib

byte: files/META files/META.${PROJECTNAME}
	${MAKE} -C syntax byte
	${MAKE} -C lib byte

opt: files/META files/META.${PROJECTNAME}
	${MAKE} -C syntax opt
	${MAKE} -C lib opt

files/META: files/META.in
	sed -e "s%__NAME__%${PROJECTNAME}%" \
            -e "s%__LIBDIR__%%" \
            -e "s%__SYNTAXDIR__%%" \
	  $< > $@

files/META.${PROJECTNAME}: files/META.in
	sed -e "s%__NAME__%${PROJECTNAME}%" \
            -e "s%__LIBDIR__%directory = \"../lib\"%" \
            -e "s%__SYNTAXDIR__%directory = \"../syntax\"%" \
	  $< > $@

clean: clean.local
	${MAKE} -C syntax clean DEPEND=no
	${MAKE} -C lib clean DEPEND=no
	${MAKE} -C tests clean
clean.local:
	-rm -f files/META files/META.${PROJECTNAME}

distclean: clean.local
	${MAKE} -C syntax distclean DEPEND=no
	${MAKE} -C lib distclean DEPEND=no
	${MAKE} -C tests distclean
	-rm -f *~ \#* .\#*

.PHONY: tests
tests:
	${MAKE} -C tests
	./tests/tests

include Makefile.filelist
VERSION := $(shell head -n 1 VERSION)

install:
	${OCAMLFIND} install ${PROJECTNAME} \
	  -patch-version ${VERSION} \
	  files/META ${SYNTAX_INTF} ${INTF} ${IMPL} ${NATIMPL} ${DOC}

install-byte:
	${OCAMLFIND} install ${PROJECTNAME} \
	  -patch-version ${VERSION} \
	  files/META ${SYNTAX_INTF} ${INTF} ${IMPL} ${DOC}

install-opt:
	${OCAMLFIND} install ${PROJECTNAME} \
	  -patch-version ${VERSION} \
	  files/META ${SYNTAX_INTF} ${INTF} ${NATIMPL} ${DOC}

uninstall:
	${OCAMLFIND} remove ${PROJECTNAME}

reinstall: uninstall install
reinstall-byte: uninstall install-byte
reinstall-opt: uninstall install-opt

=== syntax/Makefile ===
--- 
+++ 
@@ -163,4 +163,6 @@
 defs.ml: defs.mli
 	ln -s defs.mli defs.ml
 
+ifneq (${DEPEND},no)
 include .depend
+endif

=== debian/changelog ===
ocaml-deriving-ocsigen (0.3c-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Dec 2011 13:44:51 +0100

## ocaml-deriving-ocsigen 0.5

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,14 @@
 	sed -e "s%__NAME__%${PROJECTNAME}%" \
             -e "s%__LIBDIR__%%" \
             -e "s%__SYNTAXDIR__%%" \
+            -e "s%__TCNAME__%${TYPECONVNAME}%" \
 	  $< > $@
 
 files/META.${PROJECTNAME}: files/META.in
 	sed -e "s%__NAME__%${PROJECTNAME}%" \
             -e "s%__LIBDIR__%directory = \"../lib\"%" \
             -e "s%__SYNTAXDIR__%directory = \"../syntax\"%" \
+            -e "s%__TCNAME__%${TYPECONVNAME}%" \
 	  $< > $@
 
 clean: clean.local

=== lib/Makefile ===
--- 
+++ 
@@ -74,4 +74,6 @@
 .%.mli.deps: %.mli
 	${OCAMLDEP} ${PP} $^ > $@
 
+ifneq (${DEPEND},no)
 include .depend
+endif

=== syntax/Makefile ===
--- 
+++ 
@@ -14,16 +14,18 @@
            base.ml               \
            extend.ml             \
 
+utils.cmo utils.cmx .utils.ml.deps: \
+	LIBS+=-syntax camlp4o -package optcomp
 type.cmo type.cmx .type.ml.deps: \
-	LIBS+=-syntax camlp4o -package camlp4.quotations.r
+	LIBS+=-syntax camlp4o -package camlp4.quotations.r,optcomp
 base.cmo base.cmx .base.ml.deps: \
-	LIBS+=-syntax camlp4o -package camlp4.quotations.o
+	LIBS+=-syntax camlp4o -package camlp4.quotations.o,optcomp
 extend.cmo extend.cmx .extend.ml.deps: \
 	LIBS+=-syntax camlp4o -package camlp4.extend,camlp4.quotations.o
 pa_deriving.cmo pa_deriving.cmx .pa_deriving.ml.deps: \
 	LIBS+=-syntax camlp4o -package camlp4.extend,camlp4.quotations.o
 pa_deriving_tc.cmo pa_deriving_tc.cmx .pa_deriving_tc.ml.deps: \
-	LIBS+=-syntax camlp4o -package camlp4.extend,camlp4.quotations.o,type-conv
+	LIBS+=-syntax camlp4o -package camlp4.extend,camlp4.quotations.o,${TYPECONVNAME}
 
 CLASSES := show_class.ml         \
            dump_class.ml         \

=== tests/Makefile ===
--- 
+++ 
@@ -1,14 +1,18 @@
 include ../Makefile.config
+
+OCAMLPATH := ../files:${OCAMLPATH}
+export OCAMLPATH
 
 OCAMLC     := ${OCAMLFIND} ocamlc
 OCAMLOPT   := ${OCAMLFIND} ocamlopt
 OCAMLDEP   := ${OCAMLFIND} ocamldep
-PP         := -package camlp4 -ppopt ../syntax/pa_deriving.cma -syntax camlp4o
+PP         := -package ${PROJECTNAME},${PROJECTNAME}.syntax,optcomp -syntax camlp4o
+PPTC       := -package ${PROJECTNAME},${PROJECTNAME}.syntax_tc,optcomp -syntax camlp4o
 LIBS       := -I ../lib -package num
 
 OCAMLFLAGS   = -w Aef
 
-SOURCES = defs.ml               \
+SOURCES = tests_defs.ml         \
           bimap.ml	        \
           sigs.ml               \
           pickle_tests.ml       \
@@ -21,6 +25,12 @@
 	  show_tests.ml         \
           exp.ml                \
           inline.ml             \
+
+ifneq (${TYPECONV},)
+
+SOURCES += tc.ml                 \
+
+endif
 
 ##
 
@@ -36,6 +46,11 @@
 %.cmx: %.ml
 	${OCAMLOPT} ${OCAMLFLAGS} ${PP} ${LIBS} -c $<
 
+tc.cmo: tc.ml
+	${OCAMLC} ${OCAMLFLAGS} ${PPTC} ${LIBS} -c $<
+tc.cmx: tc.ml
+	${OCAMLOPT} ${OCAMLFLAGS} ${PPTC} ${LIBS} -c $<
+
 # Clean up
 clean:
 	-rm -f *.cm[ioax] *.cmxa *.cmxs *${OBJEXT} *${LIBEXT} *.annot

=== debian/changelog ===
ocaml-deriving-ocsigen (0.5-1) unstable; urgency=medium

  * New upstream release
  * Add liboptcomp-camlp4-dev to Build-Depends
  * Update Vcs-*
  * Use format 1.0 for debian/copyright
  * Bump debhelper compat to 9
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jan 2014 18:03:25 +0100

ocaml-deriving-ocsigen (0.3c-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 22:18:38 +0100

ocaml-deriving-ocsigen (0.3c-2) experimental; urgency=low

  * debian/patches:
    + Compatibility with type-conv >= 108
  * Compile with OCaml >= 4.01

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Nov 2013 12:24:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders:
   Stéphane Glondu <glondu@debian.org>
 Build-Depends:
-  ocaml-nox (>= 3.12~),
-  ocaml-findlib,
+  ocaml-nox (>= 4.01),
+  ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
-  debhelper (>= 7.0.50~),
-  libtype-conv-camlp4-dev (>= 2.3.0~),
-  camlp4-extra
-Standards-Version: 3.9.2
+  debhelper (>= 9),
+  libtype-conv-camlp4-dev (>= 108),
+  liboptcomp-camlp4-dev,
+  camlp4-extra (>= 4.01)
+Standards-Version: 3.9.5
 Homepage: https://github.com/hnrgrgr/deriving
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
 
 Package: libderiving-ocsigen-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:

=== debian/watch ===
version=3
http://ocsigen.org/download/ deriving-ocsigen-(.*)\.tar\.gz

## ocaml-deriving-ocsigen 0.6.2

=== Makefile ===
# Makefile
# --------
# Copyright : (c) 2012, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# Generic Makefile for oasis project

# Set to setup.exe for the release
SETUP := setup-dev.exe

ifeq ($(shell ocamlc -v | grep -q "version 3.12"; echo $$?),0)
# FIX for ocaml version 3.12, link with toplevellib.cma
TOPLEVEL := toplevellib.cma
else
TOPLEVEL := -package compiler-libs.toplevel
endif

# Default rule
default: build

# Setup for the development version
setup-dev.exe: _oasis setup.ml
	grep -v '^#' setup.ml > setup_dev.ml
	ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun $(TOPLEVEL) setup_dev.ml || true
	rm -f setup_dev.*

# Setup for the release
setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)

install: $(SETUP) setup.data
	./$(SETUP) -install $(INSTALLFLAGS)

uninstall: $(SETUP) setup.data
	./$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: $(SETUP) setup.data
	./$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
ocaml-deriving-ocsigen (0.6.2-1) unstable; urgency=medium

  * New upstream release
    - use the "deriving" name, add libderiving-ocaml* to Conflicts
    - update upstream URL

 -- Stéphane Glondu <glondu@debian.org>  Sat, 14 Jun 2014 15:13:55 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,10 @@
   debhelper (>= 9),
   libtype-conv-camlp4-dev (>= 108),
   liboptcomp-camlp4-dev,
+  oasis (>= 0.4),
   camlp4-extra (>= 4.01)
 Standards-Version: 3.9.5
-Homepage: https://github.com/hnrgrgr/deriving
+Homepage: https://github.com/ocsigen/deriving
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
 
@@ -23,6 +24,7 @@
  ${shlibs:Depends},
  ${ocaml:Depends},
  ${misc:Depends}
+Conflicts: libderiving-ocaml, libderiving-ocaml-dev
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: deriving functions from type declarations in OCaml (devt files)
@@ -38,6 +40,7 @@
  ${shlibs:Depends},
  ${ocaml:Depends},
  ${misc:Depends}
+Conflicts: libderiving-ocaml, libderiving-ocaml-dev
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: deriving functions from type declarations in OCaml (runtime)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libderiving-ocsigen-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean
	rm -f setup*.exe

## ocaml-deriving-ocsigen 0.7

=== debian/changelog ===
ocaml-deriving-ocsigen (0.7-2build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 05 Nov 2015 09:22:23 -0600

ocaml-deriving-ocsigen (0.7-2) unstable; urgency=medium

  * Fix FTBFS due to oasis 0.4.5 installing new files

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Sep 2015 20:24:08 +0200

ocaml-deriving-ocsigen (0.7-1) unstable; urgency=medium

  * New upstream release
  * Drop versioned Build-Depends to camlp4-extra
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Sep 2015 11:20:16 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
   debhelper (>= 9),
   libtype-conv-camlp4-dev (>= 108),
   liboptcomp-camlp4-dev,
-  oasis (>= 0.4),
-  camlp4-extra (>= 4.01)
-Standards-Version: 3.9.5
+  oasis (>= 0.4.5),
+  camlp4-extra
+Standards-Version: 3.9.6
 Homepage: https://github.com/ocsigen/deriving
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git

## ocaml-deriving-ocsigen 0.7.1

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: 9a60866e2fa295c5e33a3fe33b8f3a32)

SETUP = ./setup.exe

build: setup.data $(SETUP)
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data $(SETUP) build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data $(SETUP) build
	$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	$(SETUP) -all $(ALLFLAGS)

install: setup.data $(SETUP)
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data $(SETUP)
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data $(SETUP)
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: $(SETUP)
	$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	$(SETUP) -distclean $(DISTCLEANFLAGS)
	$(RM) $(SETUP)

setup.data: $(SETUP)
	$(SETUP) -configure $(CONFIGUREFLAGS)

configure: $(SETUP)
	$(SETUP) -configure $(CONFIGUREFLAGS)

setup.exe: setup.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package oasis.dynrun $< || ocamlfind ocamlc -o $@ -linkpkg -package oasis.dynrun $< || true
	$(RM) setup.cmi setup.cmo setup.cmx setup.o

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

wikidoc: $(SETUP) setup.data build
	$(SETUP) -build deriving-api.wikidocdir/index.wiki

=== debian/changelog ===
ocaml-deriving-ocsigen (0.7.1-1build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:43:58 +0200

ocaml-deriving-ocsigen (0.7.1-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 11:45:36 +0100

ocaml-deriving-ocsigen (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Aug 2016 16:27:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ocaml-deriving-ocsigen
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
   Stéphane Glondu <glondu@debian.org>
 Build-Depends:
@@ -13,10 +14,10 @@
   liboptcomp-camlp4-dev,
   oasis (>= 0.4.5),
   camlp4-extra
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/ocsigen/deriving
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-deriving-ocsigen.git
 
 Package: libderiving-ocsigen-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	$(MAKE) configure CONFIGUREFLAGS="--prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libderiving-ocsigen-ocaml-dev"

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) build
	$(MAKE) doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	$(MAKE) install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) distclean
	rm -f setup*.exe

=== debian/watch ===
version=3
https://github.com/ocsigen/deriving/releases .*/archive/([0-9.]*)\.tar\.gz
